

/*loading*/
@media all {
    .spinner {
        background-color: #fbfaf8;
        height: 34px;
        width: 34px;
        line-height: 34px;
        position: absolute;
        top: 0;
        right: 0;
        visibility: hidden;
        opacity: 0;
        font-size: 0;
    }
    .is-loading .spinner {
        visibility: visible;
        opacity: 1;
    }
    .spinner > span {
        width: 4px;
        height: 4px;
        background-color: #666;
        vertical-align: middle;
        border-radius: 100%;
        display: inline-block;
        -webkit-animation: sk-bouncedelay 1s infinite ease-in-out both;
        animation: sk-bouncedelay 1s infinite ease-in-out both;
    }
    .spinner > span + span {
        margin-left: 3px;
    }
    .spinner .bounce1 {
        -webkit-animation-delay: -0.32s;
        animation-delay: -0.32s;
    }
    .spinner .bounce2 {
        -webkit-animation-delay: -0.16s;
        animation-delay: -0.16s;
    }
    @-webkit-keyframes sk-bouncedelay {
        0%, 80%, 100% {
            -webkit-transform: scale(0);
        }

        40% {
            -webkit-transform: scale(1);
        }
    }
    @keyframes sk-bouncedelay {
        0%, 80%, 100% {
            -webkit-transform: scale(0);
            transform: scale(0);
        }

        40% {
            -webkit-transform: scale(1);
            transform: scale(1);
        }
    }
}

.header-search {
    background-color: #fbfaf8;
    border: 1px solid #ccc;
    border-radius: 3px;
    height: 36px;
    position: relative;
}

.header-search input {
    padding: 0 34px 0 10px;
    height: 34px;
    color: #999;
    font-size: 14px;
    width: 100%;
    background: none;
    border: none;
}

.header-search > .search-result {
    -webkit-box-shadow: 0 1px 6px rgba(0,0,0,0.08),0 1px 4px rgba(0,0,0,0.12);
    box-shadow: 0 1px 6px rgba(0,0,0,0.08),0 1px 4px rgba(0,0,0,0.12);
    background-color: #fff;
    border-radius: 3px;
    margin: 5px 0;
    position: absolute;
    text-align: left;
    z-index: 10;
    left: -1px;
    right: -1px;
    top: 100%;
    overflow: hidden;
    visibility: hidden;
    opacity: 0;
}

html.open-search .header-search > .search-result {
    visibility: visible;
    opacity: 1;
}

.header-search > .search-extra {
    background-color: #fbfaf8;
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    height: 34px;
    overflow: hidden;
    border-radius: 3px;
}

.is-empty:not(.is-loading) .btn.btn-header-search {
    opacity: 1;
    visibility: visible;
}

.btn.btn-header-search-cancel {
    background-color: #fbfaf8;
    width: 34px;
    height: 34px;
    line-height: 0;
    color: #666;
    font-size: 16px;
    position: absolute;
    top: 0;
    right: 0;
    visibility: hidden;
    opacity: 0;
}

.is-cancel:not(.is-loading) .btn.btn-header-search-cancel {
    opacity: 1;
    visibility: visible;
}

.search-result-description, .search-no-result {
    color: #9c9c9c;
    padding: 8px 15px;
    font-size: 12px;
}

.search-result-description.hidden, .search-no-result.hidden {
    display: none;
}

.search-result-header {
    border-radius: 3px 3px 0 0;
    padding: 10px 15px;
    color: #333;
    font-size: 13px;
    font-weight: 600;
}

.search-result-list {
    overflow-x: hidden;
    overflow-y: auto;
    max-height: calc(100vh - 45px);
    border-radius: 0 0 3px 3px;
}

a.search-result-item {
    display: block;
    padding: 10px 15px;
    font-size: 0;
}
a.search-result-item._selected {
    background-color: #f0f0f0;
}
a.search-result-item+a.search-result-item {
    border-top: 1px solid #eaeaea;
}

.search-result-item-images {
    display: inline-block;
    vertical-align: middle;
    width: 100px;
    position: relative;
    overflow: hidden;
    border-radius: 3px;
    background-color: #eaeaea;
    margin-right: 15px;
}

.search-result-item-images span {
    display: block;
    padding-bottom: 65%;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    position: relative;
    z-index: 1;
}

.search-result-item-images:after {
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform: translateY(-50%);
    transform: translateY(-50%);
    content: '\f030';
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    font-family: FontAwesome;
    font-size: 24px;
    color: #999;
    text-align: center;
}

.search-result-item-body {
    display: inline-block;
    vertical-align: middle;
    width: calc(100% - 115px);
    line-height: 1.2;
}

.search-result-item-name {
    font-size: 13px;
    font-weight: 600;
    color: #333;
}

.search-result-item-name b {
    font-weight: 800;
}

.search-result-item-address {
    font-size: 12px;
    color: #666;
    margin-top: 5px;
}

.search-result-item-price {
    margin-top: 5px;
    font-size: 13px;
    font-weight: 600;
}

.search-result-item-price span.fa {
    font-size: 14px;
}

.header-search-overlay {
    background-color: rgba(0,0,0,.8);
    -webkit-transition: .3s;
    -moz-transition: .3s;
    -ms-transition: .3s;
    -o-transition: .3s;
    transition: .3s;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
    opacity: 0;
    visibility: hidden;
    cursor: pointer;
}

.btn.btn-header-search {
    background-color: #fbfaf8;
    position: absolute;
    top: 0;
    right: 0;
    width: 34px;
    height: 34px;
    line-height: 0;
    color: #666;
    font-size: 16px;
    opacity: 0;
    visibility: hidden;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    padding: 6px 12px 9px;
}

html.open-search .header-search-overlay {
    opacity: 1;
    visibility: visible;
}

html.open-search .header-search {
    z-index: 11;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    border-color: transparent;
}

@media screen and (max-width: 767px) {
    html.open-search .header-search, .btn.btn-header-search, .spinner {
        background: 0;
    }

    html.open-search .btn.btn-header-search-cancel {
        background-color: #f1f1f1;
        border-radius: 100%;
        visibility: visible;
        opacity: 1;
    }

    html.open-search .btn.btn-header-search-cancel:active {
        background-color: #3598dc;
        color: #fff;
    }

    html.open-search .btn.btn-header-search {
        left: 0;
        right: auto;
    }

    html.open-search .is-cancel:not(.is-loading) .btn.btn-header-search {
        visibility: visible;
        opacity: 1;
    }

    html.open-search .spinner {
        left: 0;
    }

    html.open-search .header-search {
        position: fixed;
        bottom: 0;
        background-color: #f1f1f1;
        height: auto;
        border: 0;
        border-radius: 0;
    }

    html.open-search, html.open-search body {
        overflow: hidden;
    }

    html.open-search .header-search input {
        background-color: #fff;
        border-radius: 100px;
        width: calc(100% - 40px);
        padding: 0 10px 0 34px;
        display: block;
    }

    html.open-search .search-extra {
        position: relative;
        width: calc(100% - 10px);
        border-radius: 0;
        overflow: visible;
        background: 0;
        top: 5px;
        left: 5px;
        right: 5px;
        z-index: 0;
    }

    html.open-search .search-result {
        position: absolute;
        top: 45px;
        left: 0;
        right: 0;
        bottom: 0;
        margin: 0;
        box-shadow: none;
        height: 100%;
        width: 100%;
        border-top: 1px solid #eaeaea;
    }

    html.open-search .search-result-list {
        border-radius: 0;
        min-height: 100%;
        border-top: 0;
    }

    html.open-search .search-result-description {
        text-align: center;
        font-size: 13px;
        padding: 15px;
    }
}